Page MenuHomePhabricator

Only Depicts statement panels should have Learn More links (for now)
Closed, ResolvedPublicBug

Description

User story: N/A

We have this:

All new statements (on upload wizard and FP) have learn more links, but they only link to Help: Depicts.

We want this:
In the future, we want to have the ability to add learn more to specific important properties to Commons (although probably not all). But for now the only special one is Depicts, and that should be the only panel that has Learn More links.

Screenshots (if possible):

Acceptance Criteria:

Can be tested at https://commons.wikimedia.beta.wmflabs.org/wiki/File:Photo_on_08-02-2019_at_16.35.jpg

  • Depicts is the only statement in the UI that has Learn More links.

QA Results

ACStatusDetails
1T227226#5347859

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2019, 8:51 PM
Ramsey-WMF triaged this task as High priority.Jul 3 2019, 8:52 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Jul 3 2019, 9:41 PM

Change 521294 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Only show 'learn more' link in statement panel if link defined

https://gerrit.wikimedia.org/r/521294

Change 521298 had a related patch set uploaded (by Cparle; owner: Cparle):
[operations/mediawiki-config@master] Configure help urls for MediaInfo

https://gerrit.wikimedia.org/r/521298

Change 521298 merged by jenkins-bot:
[operations/mediawiki-config@master] Configure help urls for MediaInfo

https://gerrit.wikimedia.org/r/521298

Mentioned in SAL (#wikimedia-operations) [2019-07-09T11:04:05Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[:gerrit:521298|Configure help urls for MediaInfo]] (T227226) (duration: 00m 50s)

Change 521294 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Only show 'learn more' link in statement panel if link defined

https://gerrit.wikimedia.org/r/521294

matthiasmullie reassigned this task from Cparle to Edtadros.Jul 15 2019, 4:35 PM
matthiasmullie updated the task description. (Show Details)
matthiasmullie added a subscriber: Cparle.
Edtadros reassigned this task from Edtadros to Ramsey-WMF.Thu, Jul 18, 8:59 PM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP

Test Artifact(s):====QA Steps

Go to https://commons.wikimedia.beta.wmflabs.org/wiki/File:Photo_on_08-02-2019_at_16.35.jpg
✅ AC1: Depicts is the only statement in the UI that has Learn More links.

Edtadros updated the task description. (Show Details)Thu, Jul 18, 9:00 PM
Ramsey-WMF closed this task as Resolved.Wed, Jul 31, 6:22 PM

Appears to be working on production